anonsurf (4.1.1+parrot2) lory; urgency=medium

  * Rebuild for Parrot 6.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 19 Dec 2023 09:54:15 +0100

anonsurf (4.1.1+parrot1) parrot-lts; urgency=medium

  * Fix version name for stable release

 -- dmknght <dmknght@parrot>  Thu, 02 Feb 2023 15:59:34 +0700

anonsurf (4.1.0+parrot0) parrot-lts; urgency=medium

  [ Nong Hoang Tu ]
  * Fixed anonsurf-gtk iat-mode regex
  * Fixed a critical bug when generate bridge mode in torrc
  * Change anonsurf-gtk to use Application. Fixed multiple systray
  * Move onionshares to suggests
  * Add Vala source code as WIP gui
 -- dmknght <dmknght@parrot>  Mon, 23 Jan 2023 14:16:02 +0700

anonsurf (4.0.0+parrot1) parrot-updates; urgency=medium

  * 4.0 release

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 21 Aug 2022 23:27:49 +0700

anonsurf (3.3.3+parrot1) parrot-updates; urgency=medium

  [ Nong Hoang Tu ]
  * Move bottom bar to header bar. Close #7
  * Use EventBox to switch from Main to Details widget
  * Remove unused objects
  * Switch to main from Details. Close #8
  * Add descriptions about Gintro version
  * Change version to 4.0.0 pre
  * Check if runResolvconf exists
  * Create type MessageCallback for callback function. It looks better than "proc" only
  * Remove old fixme which was fixed
  * Reverse the proc type for callback, which doesn't work for macro
  * Allow function check ip to be used by right click menu
  * Quit now uses the same function with core
  * Make restore main widget by left click work. Close #12
  * Remove unused comments
  * Add submenu with start / stop / restart/ status of anonsurf
  * Rewrite module main widget for better code structure
  * Change module name to ansurf_gtk_objects instead of ansurf_objects, which less confussing
  * New code structure for details widget
  * Optmize spacing between frames
  * All dialogs are no longer in folder "widgets"
  * Use same callback for menu and gui. Close #11
  * Add thank to author who wrote tutorial of systray + gtk
  * Move status to main menu
  * Swap position of about and settings
  * Status backend now shows AnonSurf not running using callback
  * Connect systray's status with backend
  * Change name "AnonSurf GUI" to "AnonSurf"
  * Create function init_main_window for window app settings
  * Merge code stack with the create Layout
  * Remove boxMainWindow show all because mainboard did this
  * Move back systray icon to main. systray icon doesn't appear when it's in child function
  * Smaller refresh boot by move update boot to other functions
  * Improve function name
  * Move all condition blocks to small functions
  * Move functions to other module
  * Move some functions to other module
  * Improve code spacing
  * Create function to update ports and services status
  * Remove trail characters
  * Remove unused libs
  * Fix wrong tag close
  * Make condition be more simple
  * Improve function name
  * Move handle refresh to refresher module
  * Imrprove name and move all refresh code to module fresher
  * Improve comment for refresh
  * Move code to make stack to other small function
  * Create a object for right click menu Item
  * remove unused comments
  * Move all backend code of menuitem to other module. Complete features
  * Update notification in makefile
  * Change callback args to enum
  * Remove comment
  * code clean
  * Improve object types
  * Code clean and close #6
  * Move module kill_apps, improve some module names
  * Add more options to settings
  * Add tooltip for bridge
  * Add option to block inbound traffic. force this feature to optional
  * New code structure
  * Move some old functions to new code
  * Add some more tmp functions
  * shorter condition by using function
  * Add button bypass network firewall to complete later
  * improve var name
  * add some hardcoded print
  * Move functions to small modules
  * More small functions
  * sightly change function structure
  * Improve condition to check dhclient's files
  * More print
  * Some more template functions
  * Improve code format
  * some more extra tmp tools
  * Add a proc to handle all dns addr
  * Filter valid addr
  * basic handle create symlink with resolvconf
  * Validate dns addr
  * Complete more functions
  * New way to handle dns addr from user
  * Remove todo
  * Complete mix with dhcp when tool can't find dhcp addr
  * Use deduplicate in write_dns_addr_to_file so it will be called by all functions
  * Make parse dhclient dns be global
  * Complete mix addr
  * Check if dns is empty before write
  * Improve dhclient code by calling pre-write functions
  * Move backup functions to util and create function to check if anonsurf is running
  * change function name to print_file_static
  * Add function to check localhost and the other features of status
  * Remove old dnstool
  * Add new dnstool to makefile build. close #9
  * Add resolvconf to suggest list
  * Improve error msg when option is invalid
  * Move check_system_dns_is_static to utils
  * Fix grammar
  * Fix wrong file to be called to parse dns addresses
  * Shorter descriptions
  * Add print function to print banner of addresses
  * Check if current system is having only localhost. Do not create backup if true
  * Add tmp function to create hook script
  * Improve code syntax
  * Create a function to do destroy dialog
  * Add some buttons to dialogs
  * Improve create backup logic check
  * Prepare objects for setting dialog
  * Move all option objects to new module
  * No longer use multiple spacing
  * Correct the symlink info to "resolvconf settings"
  * Correct the symlink info to "resolvconf settings"
  * reverse wrong commit that test text align
  * Add some basic tmp functions to handle options
  * Add a pipe object
  * Add one other function
  * Add short comment with video tutorial
  * Add more tmp functions for workflow
  * Create function to get value and set value for Config object
  * Change value type to string
  * Use default config if parser failed to load config
  * Move extOrPort to base file
  * Prepare for new option structure
  * Remove comments from old code
  * New code flow for torrc
  * Spacing for buttons
  * Fix typo in var name
  * tmp block inbound traffic
  * Move commands to smaller functions
  * Add load settings from file. Remove option firewall (need to rework on it)
  * Code clean
  * temp remove option bypass firewall
  * Better logic to load config. Use try catch when load
  * Fix a bug that config is always default after load
  * Connect apply button
  * Hotfix: wrong sudo call
  * Make option sandbox be false by default
  * No longer install old config files
  * Remove strutils which is unusded
  * Add debug msg when program failed to get / send pipe
  * Force executing using pkexec. Menuexecg has pipe redirection
  * Use process stream to send input instead
  * Use absolute path for pkexec
  * Use args for full command instead of strings
  * Remove unused lib
  * Convert options to string before pass. Reduce code complexity when receive
  * use readAll instead of readLine
  * Fix wrong keyword cause failed to load config
  * Mark version as 4.0.0. close #5
  * Fix wrong absolute path of list bridges
  * Set static decorator that has only close button. Close #16
  * Change module name to shorter name
  * Close #15
  * Update module name when call
  * Move backend button to new module
  * Check and disable entry when load option
  * Add tooltip to show address format
  * Add comment that has full msg
  * Change text holder to obfs4 proxy addr
  * Create a tuple object to get value from pipeline
  * Use new tuple to get value
  * Set all elements to string and convert later
  * Convert data type to json
  * Remove unusded object
  * Better exception handling
  * cast output type to string. make sure data type is correct in every steps
  * Add bridge link to readme
  * Update list of brigdes
  * Add 2 options that tor wiki suggested
  * Change UseBridge to BrdigeRelay. #Close 22
  * Use same random string for tor hash and nyx password. Should close #26
  * Add plain port and safe sock
  * Add option for plain ports and safe sock. Close #24. Close #25
  * Fix a crash when Click apply. Reason: missing 2 new objects when call
  * Disable resize for dialog options
  * Fix no new line at end
  * Update license for some files
  * AnonSurf gtk now call daemon function
  * Add description from daemon3, change args to not zero
  * remove some spacing
  * Remove add addr
  * Add hook script. Close #23
  * Force script to write hook without checking resolvconf hook script
  * Add shebang to script
  * Add descriptions of source
  * Do not overwrite hook script if it exists
  * Do not overwrite hook script if it exists
  * Add method to check bridge addresses
  * Change name "ansurf_types" to "ansurf_objects"
  * Fix missing lib
  * Add notification to show error
  * Break function when error shows
  * Improve error msg when bridge addr has error
  * Make code be easier to read. Close #20
  * Fix dnstool output

  [ Lorenzo Palinuro Faletra ]
  * update dnstool hook script for dhclient

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 21 Jul 2022 20:04:39 +0200

anonsurf (3.3.2+parrot0) parrot-updates; urgency=medium

  * Fix getuid logic bugs in dnstool caused missing resolv.conf

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 28 Mar 2022 09:17:43 +0700

anonsurf (3.3.1+parrot0) parrot-updates; urgency=medium

  * Use new method fileExists to check if service is running
  * Use new anonsurf check to GUI
  * Fix wrong systemd unit prefix name, which caused service "failed to start" everytime
  * Use lstat instead of Nim's file exists, fixed status always returns false
  * No longer use nimble file
  * New version 3.2.2
  * Change new version to 3.3.0 because it's feature change
  * Fix wrong dns condition
  * Show Tor DNS instead of "activated" for DNS
  * New sub version with minor fixes
  * Rewrite DNS check using enum. Remove checking OpenNIC
  * Switch type of dns check to new object
  * Use new enum object for status check
  * Fix followSymlink wasn't set to false, which cause wrong file status result
  * Fix a bug when check symlink and improve output result of show status

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 22 Mar 2022 21:27:31 +0700

anonsurf (3.2.1+parrot1) parrot-updates; urgency=medium

  * check if menuexecg exists, else use pkexec
  * Show icon of about dialog in window list
  * add icon of nyx to window list
  * add license for icon
  * Update version release and nim version

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 11 Feb 2022 16:57:14 +0700

anonsurf (3.2.1+parrot0) parrot-updates; urgency=medium

  * Add icons for status dialog and about dialog

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 11 Feb 2022 16:55:35 +0700

anonsurf (3.2.0+parrot1) parrot-updates; urgency=medium

  [ Lorenzo Palinuro Faletra ]
  * fix makefile

  [ Nong Hoang Tu ]
  * Change the way check status of process
  * Add check system init is running
  * Remove old bash scripts
  * Create callback for cli and gtk to send msg
  * First use callback for msg
  * New code structure for development version
  * add killapp code
  * code beauty
  * Use "UseBridges" instead of BridgeRelay
  * New code structure
  * Add simple handle kill apps
  * sync changes
  * sync new code structure
  * Make the code work with new code structure
  * Remove check init system
  * Show pub IP to notify
  * Make kill app works
  * Remove old file
  * Change box layout. Temp remove cancle
  * Improve code structure and some function call
  * add some code optimization and comments
  * code clean
  * Add kill app to cli
  * Add kill_apps to gtk
  * New surf version in banner
  * Close ask_kill app after kill is done
  * Dont show warn msg if kill apps == 1 (some process are not running)
  * Change name of old code modules
  * remove unused module
  * prepare for new code structure
  * first in development activities for main widget
  * first code for details widget and other activities
  * Add gitignore to ignore config files and binary files (don't delete it again Palinuro)
  * Add activities
  * restore icons module
  * Fix and restore stop button
  * Fix missing sudo args and add some more buttons to work
  * Add boot buttons to work
  * prepare for status refresh
  * add refresher to work
  * Added callback functions
  * code clean and improve the init gtk_askkill
  * Make threading works with functions
  * multithreaded buttons for details page. Remove some comments
  * Try to change kill app ask to dialog
  * Improve logic of anonsurf check
  * Check if anonsurf is cancelled by user instead
  * Fix kill app issue when select don't kill
  * Fix status and update some code
  * Correct more status check
  * Add status widget
  * Fix kill app for cli
  * Remove tor check when restart (need delay for accurate status)
  * Remove old modules and rework make_torrc
  * Fix old function call
  * Don't display msg if user cancel restart
  * code clean
  * Only ask kill apps if anonsurf stopped okay
  * Create sperate module for kill app for anonsurf-gtk Fix don't kill button
  * Fix kill button doesn't close
  * change code structure in cores for better display
  * Remove unused lib
  * Fix my ip button is not disabled
  * Optimize code
  * Remove multithread for enable / disable boot
  * Restore threading (solved crash with help of arc)
  * Add arc to build
  * code clean
  * code clean
  * Change start / stop code structure
  * remove unused arg callback
  * Force remove after stop because of threading problem
  * No longer set stop as multi threaded
  * code clean
  * Remove unessecary code
  * Fix wrong destination
  * Fix some makefile mistakes
  * Use ifeq makefile instead of bash like
  * Fix wrong bash execute syntax
  * use if else bash like syntax
  * add semicolor to if else commands
  * add icons to non-native launchers
  * restore old label "all"
  * Add comments to uninstall
  * fix stupid makefile comparision in condition
  * Do not use absotelute path in .install files
  * - New way to show status - Remove default OpenNIC and Parrot DNS - Add "--add" flag to let user not replace whole settings - update help banner with new removal
  * add a line to show new setting is applied
  * remove completed todo
  * add first testing code of popup with right click
  * Don't quit program when click exit on GUI
  * actions now supports calling from systray icon as well
  * tmp remove systray from code
  * add some more todo code
  * remove duplicate import
  * use cstring for string concat. Fix some compile warnings from NIm 1.6
  * Do close and uninit notify
  * add joinThread
  * remove MenuItem
  * restore checkip threading
  * don't join thread
  * don't close and uninit msg
  * Use gc:arc by default
  * sync some small changes
  * restore thread join
  * remove -d:release for anonsurf gtk which causes crash
  * Use -d:release and -d:useMalloc together
  * remove -d:useMalloc
  * change hardcoded kill apps to a bash script to kill
  * Use posix access to check path permission
  * add path of firefox-esr
  * use pkexec instead of gksudo
  * Use menu exec instead
  * change version to 3.2.0
  * remove firefox absolute path
  * menuexec to menuexecg
  * use getuid instead of access
  * fix wrong getuid comparison
  * add msg to tell user backup file was created
  * shorter start service command to work with pkexec
  * improve show status output
  * fixx missing EOL
  * add missing title when anonsurf is not running
  * fix missing spacing when doing string concat
  * Improve output message and fix comparision of current dns
  * remove some old recommends
  * light red for all output
  * address to address[es]

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 21 Jan 2022 08:51:49 +0700

anonsurf (3.1.9+parrot0) rolling; urgency=medium

  * Fix dns configuration issue when anonsurf is stopped.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 24 Jun 2021 15:48:50 +0200

anonsurf (3.1.8+parrot0) rolling-testing; urgency=medium

  * New layout for AnonSurf GTK

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Wed, 13 Jan 2021 05:12:09 +0700

anonsurf (3.1.7+parrot0) rolling-testing; urgency=medium

  * Fix some crash errors in GUI
  * Fix Tor doesn't start at boot by adding Wants to sys-unit

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Fri, 11 Dec 2020 18:02:13 +0700

anonsurf (3.1.6+parrot0) rolling-testing; urgency=medium

  * Rewrite dnstool
  * Add support of Parrot's DNS in dnstool
  * Fix detection problem of status
  * Add color of status in AnonSurf GUI

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Tue, 24 Nov 2020 20:40:46 +0700

anonsurf (3.1.5+parrot0) rolling-testing; urgency=medium

  * Close status dialog when users quit
  * Update new description for control file

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Tue, 03 Nov 2020 04:37:22 +0700

anonsurf (3.1.4+parrot0) rolling-testingD; urgency=medium

  * Dynamic DNS port setting from torrc.base
  * Fix iptables rules don't work with DNS settings
  * Drop Inbound packets when AnonSurf is enabled

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Mon, 02 Nov 2020 02:40:20 +0700

anonsurf (3.1.3+parrot0) rolling-testing; urgency=medium

  * Remove backup file of resolv.conf after stop
  * Fix DNS setting localhost when previous setting is dynamic

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sun, 01 Nov 2020 02:27:00 +0700

anonsurf (3.1.2+parrot1) rolling-testing; urgency=medium

  * Change name anonsurf-core to anonsurf
  * Fix upgrade conflict problem

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sun, 01 Nov 2020 01:54:10 +0700

anonsurf (3.1.2+parrot0) rolling-testing; urgency=medium

  * Create anonsurf-cli, anonsurf-core and anonsurf-gtk packages

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sun, 01 Nov 2020 01:47:56 +0700

anonsurf (3.1.1+parrot0) rolling-testing; urgency=medium

  * Restore GTK Decorator
  * Remove custom static title bar
  * Move about to bottom right
  * AnonSurf GTK: enable / disable GUI no longer uses AnonSurf CLI

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sun, 01 Nov 2020 01:32:03 +0700

anonsurf (3.1.0+parrot0) rolling; urgency=medium

  * Init the stable version

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Tue, 20 Oct 2020 04:27:12 +0700

anonsurf (3.0.6+parrot0) rolling-testing; urgency=medium

  * Fix VTE problem

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Thu, 08 Oct 2020 19:24:02 +0700

anonsurf (3.0.5+parrot0) rolling-testing; urgency=medium

  * Daemon: Fix missing reset color causes cli issue
  * GUI: Optimized ram usage
  * GUI: Use embedded icons instead of theme icons
  * GUI: Now use native start / stop / restart functions
  * CLI: completely new CLI in Nim lang
  * Fix bleachbit command (invalid module) and improve clean list

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Wed, 16 Sep 2020 13:56:50 +0700

anonsurf (3.0.4+parrot0) rolling-testing; urgency=medium

  * Disable resize in GUI
  * Fix icon path for new parrot-menu update
  * Better color display for dnstool

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sat, 05 Sep 2020 14:29:58 +0700

anonsurf (3.0.3+parrot2) rolling-testing; urgency=medium

  * Sorry guys (fixing typo).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 14 Aug 2020 18:23:37 +0200

anonsurf (3.0.3+parrot1) rolling-testig; urgency=medium

  * Fix syntax error in anondaemon.
  * Better handle logged users detection.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 13 Aug 2020 00:31:50 +0200

anonsurf (3.0.2+parrot0) rolling-testing; urgency=medium

  * Add bridge mode
  * Add new firefox name to kill
  * New GUI layout

 -- Nong Hoang "dmknght" Tu <dmknght@parrotsec.org>  Fri, 31 Jul 2020 04:46:48 +0700

anonsurf (3.0.1+parrot0) rolling-testing; urgency=medium

  * Improve output of dnstool
  * Fix spacing in GUI when showing deactivated ports
  * New icon for boot status

 -- Nong Hoang "dmknght" Tu <dmknght@parrotsec.org>  Mon, 27 Jul 2020 15:14:54 +0700

anonsurf (3.0.0) rolling-testing; urgency=medium

  * Promote previous version to 3.0.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 21 Jul 2020 16:07:01 +0200

anonsurf (2.14.0) rolling-testing; urgency=medium

  * Add test version for GTK GUI
  * Add notification when start / stop anonsurf failed
  * Add new icons
  * Mirror improvements
  * Bump development version

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Mon, 20 Jul 2020 00:00:22 +0700

anonsurf (2.13.9+parrot2) rolling-testing; urgency=medium

  * Remove start-bridge from completion
  * Update nim minimum version and license for nim src

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sat, 11 Jul 2020 09:53:02 +0700

anonsurf (2.13.9+parrot1) rolling-testing; urgency=medium

  * Change the logic of restart and start tor

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sun, 05 Jul 2020 13:46:42 +0700

anonsurf (2.13.9+parrot0) rolling-testing; urgency=medium

  * Disable bridge support
  * Edit color, typo in output message
  * Fix a bug in anonsurf daemon that use old make-torrc path

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sun, 05 Jul 2020 08:25:36 +0700

anonsurf (2.13.8+parrot3) rolling-testing; urgency=medium

  * Typo and code comment fix

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Thu, 02 Jul 2020 13:54:31 +0700

anonsurf (2.13.8+parrot2) rolling-testing; urgency=medium

  * Move make-torrc to /usr/share/
  * Fix some litian warning
  * Code clean

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Thu, 02 Jul 2020 06:17:14 +0700

anonsurf (2.13.8+parrot1) rolling-testing; urgency=medium

  * Fix a bug in password generation
  * Rework changeid function
  * Show network error if check IP return empty

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Thu, 02 Jul 2020 05:28:14 +0700

anonsurf (2.13.7+parrot0) rolling-testing; urgency=medium

  * Add new check IP function with tor project service
  * Remove postinit script from debian packaging
  * Disable systemd auto enable during installation
  * Add random password generation (buggy)
  * Status command now open nyx with custom nyxrc (w/ passwd)

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Tue, 30 Jun 2020 14:18:15 +0700

anonsurf (2.13.6+parrot0) rolling-testing; urgency=medium

  * Handle missing resolv.conf file
  * make-torrc now create torrc directly
  * Fix a bug in restore backup of DNS settings

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Mon, 29 Jun 2020 16:22:16 +0700

anonsurf (2.13.5+parrot2) rolling-testing; urgency=medium

  * Fix a logic bug in check valid commands
  * Fix the way to call create-backup

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Thu, 18 Jun 2020 04:47:09 +0700

anonsurf (2.13.5+parrot1) rolling-testing; urgency=medium

  * Add status-boot to check status of enable at boot
  * Reduce delay time of stop function
  * Try copyFile instead of createSymlink for make-torrc

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Thu, 18 Jun 2020 04:20:56 +0700

anonsurf (2.13.5+parrot0) rolling-testing; urgency=medium

  * Change the way to check boot status

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Thu, 18 Jun 2020 03:46:10 +0700

anonsurf (2.13.4+parrot0) rolling-testing; urgency=medium

  * Fix typo in msg
  * More small terminal friendly for help banner
  * Fix empty resolv.conf bug

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Thu, 18 Jun 2020 03:31:42 +0700

anonsurf (2.13.3+parrot0) rolling-testing; urgency=medium

  * Replace torrc by make-torrc
  * Create test package

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Fri, 22 May 2020 11:04:27 +0700

anonsurf (2.13.1+parrot0) rolling; urgency=medium

  * Use new code structure for making torrc
  * Use new code structure to start tor service

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Mon, 04 May 2020 04:35:25 +0700

anonsurf (2.13.0+parrot1) rolling-testing; urgency=medium

  * Correct the configuration for Obfs4Bridge
  * Add "meu" to support list

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sun, 03 May 2020 08:33:46 +0700

anonsurf (2.13.0+parrot0) rolling-testing; urgency=medium

  * Add obfs4 bridge support in config generation

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Sun, 03 May 2020 07:58:45 +0700

anonsurf (2.12.2+parrot0) rolling; urgency=medium

  * Add basic bash completion for anonsurf

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Wed, 29 Apr 2020 23:49:17 +0700

anonsurf (2.12.1+parrot4) rolling; urgency=medium

  * Move gui launcher to other location.
  * Correct real name in changelog

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Mon, 27 Apr 2020 11:09:14 +0700

anonsurf (2.12.1+parrot3) rolling; urgency=medium

  * Fix the status check for missing resolv.conf
  * Add check for empty resolv.conf file

 -- Nong Hoang "DmKnght" Tu <dmknght@parrotsec.org>  Mon, 27 Apr 2020 04:04:50 +0700

anonsurf (2.12.1+parrot2) rolling-testing; urgency=medium

  [Lorenzo "Palinuro" Faletra]
  * Don't make it start at boot by default.

  [Nong Hoang "DmKnght" Tu]
  * Fix wrong status in dnstool when AnonSurf is running

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 25 Apr 2020 15:38:33 +0200

anonsurf (2.12.1+parrot1) rolling; urgency=medium

  * Flag package as architecture-specific.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 24 Apr 2020 18:18:19 +0200

anonsurf (2.12.1+parrot0) testing; urgency=medium

  * Restore backup of DNS instead  of create new symlink
  * Remove OpenNIC resolv.conf because of new dnstool

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 24 Apr 2020 02:08:41 +0700

anonsurf (2.12.0+parrot1) testing; urgency=medium

  * Update descriptions in control
  * Change folder names for development maintaince:
    anonsurf, anonsurfd.
  * Update copyright for new path
  * Move dnstool from /etc/anonsurf/ to /usr/bin/

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 23 Apr 2020 02:25:09 +0700

anonsurf (2.12.0+parrot0) testing; urgency=medium

  * dnstool: Upgrade help banner
  * anonsurf: dns func now use dnstool instead
  * Change DNS launcher to use dnstool

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 22 Apr 2020 17:58:40 +0700

anonsurf (2.11.3+parrot1) testing; urgency=medium

  * Change "anonsurfservice" to "anonsurfd"

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 23 Feb 2020 04:31:18 +0700

anonsurf (2.11.3+parrot0) testing; urgency=medium

  [ dmknght ]
  * Remove  icon

  [ Vangelis Mouhtsis ]
  * debian/control: Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/control: Use debhelper-compat notation (and switch to DH compat level 12), drop debian/compat file.

 -- Vangelis Mouhtsis <vangelis@gnugr.org>  Thu, 06 Feb 2020 13:24:16 +0200

anonsurf (2.11.3+parrot0) testing; urgency=medium

  * Remove icons. Anonsurf now use global icon from parrot-menu
  * Add some pre-support to sysvinit
  * Change anondaemon to anonservice

 -- dmknght <dmknght@parrotsec.org>  Thu, 06 Feb 2020 17:23:52 +0700

anonsurf (2.11.2+parrot1) testing; urgency=medium

  * Edit rule to auto get gintro

 -- dmknght <dmknght@parrotsec.org>  Fri, 24 Jan 2020 21:13:04 +0700

anonsurf (2.11.2+parrot0) testing; urgency=medium

  * Status check now use native vte instead of system term
  * Bugs fix for nyx delay (tor service problem)
  * Add anonymous.png icon, fix icon missing when switch theme

 -- dmknght <dmknght@parrotsec.org>  Fri, 24 Jan 2020 20:28:18 +0700

anonsurf (2.11+parrot1) testing; urgency=medium

  * Add enable / disable at boot options

 -- dmknght <dmknght@parrotsec.org>  Wed, 15 Jan 2020 17:01:33 +0700

anonsurf (2.11+parrot0) testing; urgency=medium

  * Change program model to system unit
  * Create GUI interface
  * Update copyright standard
  * Use auto change node instead of country code

 -- dmknght <dmknght@parrotsec.org>  Wed, 15 Jan 2020 09:14:02 +0700

anonsurf (2.10+parrot3) testing; urgency=medium

  * Disable dhcp dns addresses when in opennic mode.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 19 May 2019 15:17:55 +0200

anonsurf (2.10+parrot2) testing; urgency=medium

  * Fix syntax errors.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 14 Apr 2019 06:01:32 +0200

anonsurf (2.10+parrot1) testing; urgency=medium

  * Add OpenNIC DNS feature.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 14 Apr 2019 05:51:18 +0200

anonsurf (2.9.1+parrot1) testing; urgency=medium

  * Remove macchanger residual code.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Apr 2019 13:39:41 +0200

anonsurf (2.9+parrot3) testing; urgency=medium

  * Make dialog box wider than it is tall.
    + So that you can break the text using only two lines.
    + https://github.com/ParrotSec/anonsurf/pull/4
  * Manually set wicth for dialog box
    + This way text will remain aligned left and,
    + differently than when option `--ellipsize` is used, not centered.
    + https://github.com/ParrotSec/anonsurf/pull/4

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 30 Mar 2019 15:32:55 +0100

anonsurf (2.9+parrot2) testing; urgency=medium

  * Make sbin binary paths absolute.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 14 Mar 2019 10:03:38 +0100

anonsurf (2.9+parrot1) testing; urgency=medium

  [ Lisetta "Sheireen" Ferrero ]
  * Start migration to nftables.

  [ Lorenzo "Palinuro" Faletra ]
  * Fix resolv.conf restore bug by forcing symlink creation.
  * Enforce tor resolver.

 -- Lisetta "Sheireen" Ferrero <sheireen@autistiche.org>  Wed, 13 Mar 2019 00:39:54 +0100

anonsurf (2.8.1+parrot2) testing; urgency=medium

  * Re-enable LAN traffic (it prevented proper tor routing).
  * Fix resolv.conf replace and restore steps.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 19 Oct 2018 01:47:31 +0200

anonsurf (2.8.1+parrot1) testing; urgency=medium

  * Disable LAN exclusions (read comment in code).
  * Remove residual mac changer code.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 18 Oct 2018 13:49:34 +0200

anonsurf (2.8+parrot1) testing; urgency=medium

  * Remove changemac feature
    + anonsurf is not the proper place to take care of mac randomization.
  * Update output messages
  * Fix resolv.conf restore.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 09 Aug 2018 18:40:24 +0200

anonsurf (2.7+parrot3) testing; urgency=medium

  * Remove mac checker launcher.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 02 Jun 2018 01:04:25 +0200

anonsurf (2.7+parrot1) testing; urgency=medium

  * Bump version 2.7
  * Remove i2p support (we never really supported it)
  * Include mac changer support
  * Update copyright notes

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 09 Apr 2018 00:56:14 +0200

anonsurf (2.6+parrot2) testing; urgency=medium

  * Rebuild package (tor was updated).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 22 Mar 2018 18:00:06 +0100

anonsurf (2.6+parrot1) testing; urgency=medium

  * Rebuild package (tor was updated).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 22 Jan 2018 23:33:28 +0100

anonsurf (2.6+parrot0) testing; urgency=medium

  * Update torrc to not break apparmor rules.
  * Minor fixes in output messages.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 05 Dec 2017 07:49:03 +0100

anonsurf (2.5+parrot5) testing; urgency=medium

  * Update ParrotDNS ip addresses.
  * Update to debhelper 10.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 05 Jul 2017 14:11:22 +0200

anonsurf (2.5+parrot4) testing; urgency=medium

  * Add more useful dependencies.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 04 Jul 2017 15:09:13 +0200

anonsurf (2.5+parrot3) testing; urgency=medium

  * Fix i2p launchers

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 01 May 2017 04:02:59 +0200

anonsurf (2.5+parrot2) testing; urgency=medium

  * Fix makefile

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 30 Apr 2017 03:10:45 +0200

anonsurf (2.5+parrot1) testing; urgency=medium

  * Add libnotify-bin to the recommended packages.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 30 Apr 2017 03:07:31 +0200

anonsurf (2.5+parrot0) testing; urgency=medium

  * Improve IP checker.
  * Add exit node country selector.
  * Fix i2p launchers.
  * Improve popup notifications.
  * Remove deprecated instructions from torrc.
  * Add a dialog question for the startup cleaners.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 30 Apr 2017 03:01:42 +0200

anonsurf (2.4+parrot1) testing; urgency=medium

  * Remove dependencies checker
  * Clean whitespaces in empty lines

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 18 Apr 2017 10:59:32 +0200

anonsurf (2.4+parrot0) testing; urgency=medium

  * Disable ipv6 while anonsurf is running

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 16 Apr 2017 23:59:29 +0200

anonsurf (2.3+parrot4) testing; urgency=medium

  * Include gnunet as recommended package

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 29 Dec 2016 18:31:47 +0100

anonsurf (2.3+parrot3) testing; urgency=medium

  * improve i2p launchers
  * replace iceweasel with firefox

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 28 Dec 2016 14:17:50 +0100

anonsurf (2.3+parrot1) testing; urgency=medium

  * move i2p as recommended package

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 25 Dec 2016 17:15:22 +0100

anonsurf (2.3+parrot0) testing; urgency=medium

  * Update to Anonsurf 2.3

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 27 Nov 2016 17:54:34 +0100

anonsurf (2.2+parrot1) testing; urgency=medium

  * Merge modifications from Francesco "Mibofra" Bonanno

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Oct 2016 20:06:32 +0200

anonsurf (2.2+parrot0) testing; urgency=medium

  [ Lisetta "Sheireen" Ferrero ]
  * Fix iptables commands priorities
  * Update and beautify usage banner
  * Add developers (and caffeine) to the usage banner
  * Add dance/encrypt message
  * Improve how tor start/stop is handled
  * Remove old useless stuff

  [ Lorenzo "Palinuro" Faletra ]
  * Recheck torrc
  * Review and test Sheireen's stuff

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Oct 2016 19:03:36 +0200

anonsurf (2.1+parrot0) testing; urgency=medium

  * Restore original TOR ports (9040 and 9050)
  * Remove firefox profile
  * Review a bunch of stuff

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 22 Jul 2016 18:32:42 +0200

anonsurf (2.0+parrot4) testing; urgency=medium

  * add onion.pac symlink

 -- Lorenzo "Palinuro" Faletra <eclipse@parrotsec.org>  Tue, 21 Jun 2016 18:30:10 +0200

anonsurf (2.0+parrot3) testing; urgency=medium

  * Fix configuration problems

 -- Lorenzo "Palinuro" Faletra <eclipse@parrotsec.org>  Tue, 24 May 2016 11:31:56 +0200

anonsurf (2.0+parrot2) testing; urgency=medium

  * Fix dns port for tor daemon

 -- Lorenzo "Palinuro" Faletra <eclipse@parrotsec.org>  Sat, 14 May 2016 03:14:57 +0200

anonsurf (2.0+parrot0) testing; urgency=medium

  * Update tor behavior

 -- Lorenzo "Palinuro" Faletra <eclipse@parrotsec.org>  Sun, 08 May 2016 04:12:53 +0200

anonsurf (2.0) testing; urgency=medium

  [Lisetta sheireen Ferrero]
  * Reviewed torrc rules
  * Make dedicated torrc file

  [Lorenzo palinuro Faletra]
  * Updated core engine to 2.0
  * Made tor daemon standalone
  * Cut useless stuff

  [Chris Spillane]
  * Update onion.pac for *.i2p support

 -- Lorenzo "Palinuro" Faletra <eclipse@parrotsec.org>  Sat, 07 May 2016 12:42:15 +0200
